Buscar Saque
curl --request GET \
--url https://api.example.com/api/v1/cobranca/withdrawals/:id \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.example.com/api/v1/cobranca/withdrawals/:id"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.example.com/api/v1/cobranca/withdrawals/:id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data.id": "<string>",
"data.amount": 123,
"data.method": "<string>",
"data.status": "<string>",
"data.pixKey": "<string>",
"data.end2end": "<string>",
"data.approvedAt": "<string>",
"data.processedAt": "<string>",
"data.createdAt": "<string>"
}Buscar Saque
Buscar um saque pelo ID
GET
/
api
/
v1
/
cobranca
/
withdrawals
/
:id
Buscar Saque
Retorna os detalhes de um saque específico da sua conta.
string
required
Sua API Key (
sk_live_...). Veja Autenticacao.string
required
Identificador único do saque (CUID).Exemplo:
clx1a2b3c4d5e6f7g8h9i0jResposta
boolean
true quando o saque é encontrado.string
Identificador único do saque.
integer
Valor do saque em centavos.
string
Método:
PIX.Novos valores podem ser adicionados a este campo. Trate valores
desconhecidos como fallback. Não faça switch exaustivo.
string
Status do saque. Valores:
PENDING, APPROVED, REJECTED, PROCESSING, PAID, FAILED, REFUNDED, CANCELED, BLOCKED.Novos valores podem ser adicionados a este campo. Trate valores
desconhecidos como fallback. Não faça switch exaustivo.
string
Chave PIX do destinatário (quando
method = PIX).string
ID fim-a-fim do PIX gerado pelo BACEN (presente após a liquidação, quando
status = PAID).string
Data/hora da aprovação (ISO 8601), quando aplicável.
string
Data/hora do processamento/liquidação (ISO 8601), quando aplicável.
string
Data/hora de criação (ISO 8601).
curl -X GET https://api.linkagateway.com/api/v1/cobranca/withdrawals/clx1a2b3c4d5e6f7g8h9i0j \
-H "x-api-key: $API_KEY"
const apiKey = 'sk_live_...';
const response = await fetch('https://api.linkagateway.com/api/v1/cobranca/withdrawals/clx1a2b3c4d5e6f7g8h9i0j', {
headers: { 'x-api-key': apiKey }
});
const { data } = await response.json();
const apiKey = 'sk_live_...';
const response = await fetch('https://api.linkagateway.com/api/v1/cobranca/withdrawals/clx1a2b3c4d5e6f7g8h9i0j', {
headers: { 'x-api-key': apiKey }
});
const { data } = await response.json();
import requests
api_key = 'sk_live_...'
response = requests.get(
'https://api.linkagateway.com/api/v1/cobranca/withdrawals/clx1a2b3c4d5e6f7g8h9i0j',
headers={
'x-api-key': api_key
}
)
data = response.json()['data']
package main
import (
"fmt"
"net/http"
)
func main() {
apiKey := "sk_live_..."
req, _ := http.NewRequest("GET", "https://api.linkagateway.com/api/v1/cobranca/withdrawals/clx1a2b3c4d5e6f7g8h9i0j", nil)
req.Header.Set("x-api-key", apiKey)
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
fmt.Println(resp.Status)
}
Exemplo de resposta
{
"status": true,
"data": {
"id": "clx1a2b3c4d5e6f7g8h9i0j",
"amount": 50000,
"method": "PIX",
"pixKey": "[email protected]",
"pixKeyType": "EMAIL",
"status": "PAID",
"end2end": "E00038166202403011234567890",
"approvedAt": "2026-03-06T10:00:40.000Z",
"processedAt": "2026-03-06T10:01:10.000Z",
"createdAt": "2026-03-06T10:00:00.000Z"
}
}
Was this page helpful?